#COMPILE EXE
#DIM ALL

TYPE Pair
    leftv AS LONG
    rightv AS LONG
END TYPE

FUNCTION SumPair (BYVAL p AS Pair) AS LONG
    FUNCTION = p.leftv + p.rightv
END FUNCTION

FUNCTION PBMAIN() AS LONG
    LOCAL p AS Pair
    LOCAL s AS STRING
    p.leftv = 2
    p.rightv = 3
    s = STR$(SumPair(p))
    FUNCTION = 0
END FUNCTION
